# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from . import DeviceServicer_pb2 as DeviceServicer__pb2
import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


class DeviceServicerStub(object):
  """Feature: Device Servicer

  General device settings of the DASGIP reactor system can be retrieved and changed within this function.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019

  """

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetLog = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog',
        request_serializer=DeviceServicer__pb2.GetLog_Parameters.SerializeToString,
        response_deserializer=SiLAFramework__pb2.CommandConfirmation.FromString,
        )
    self.GetLog_Info = channel.unary_stream(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog_Info',
        request_serializer=SiLAFramework__pb2.CommandExecutionUUID.SerializeToString,
        response_deserializer=SiLAFramework__pb2.ExecutionInfo.FromString,
        )
    self.GetLog_Result = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog_Result',
        request_serializer=SiLAFramework__pb2.CommandExecutionUUID.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetLog_Responses.FromString,
        )
    self.GetRuntimeClock = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetRuntimeClock',
        request_serializer=DeviceServicer__pb2.GetRuntimeClock_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetRuntimeClock_Responses.FromString,
        )
    self.GetStartedUTC = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetStartedUTC',
        request_serializer=DeviceServicer__pb2.GetStartedUTC_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetStartedUTC_Responses.FromString,
        )
    self.GetStarted = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetStarted',
        request_serializer=DeviceServicer__pb2.GetStarted_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetStarted_Responses.FromString,
        )
    self.GetStoppedUTC = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetStoppedUTC',
        request_serializer=DeviceServicer__pb2.GetStoppedUTC_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetStoppedUTC_Responses.FromString,
        )
    self.GetStopped = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetStopped',
        request_serializer=DeviceServicer__pb2.GetStopped_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetStopped_Responses.FromString,
        )
    self.GetUserId = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetUserId',
        request_serializer=DeviceServicer__pb2.GetUserId_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetUserId_Responses.FromString,
        )
    self.GetBatchId = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetBatchId',
        request_serializer=DeviceServicer__pb2.GetBatchId_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetBatchId_Responses.FromString,
        )
    self.GetInoculatedUTC = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetInoculatedUTC',
        request_serializer=DeviceServicer__pb2.GetInoculatedUTC_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetInoculatedUTC_Responses.FromString,
        )
    self.GetInoculated = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetInoculated',
        request_serializer=DeviceServicer__pb2.GetInoculated_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetInoculated_Responses.FromString,
        )
    self.GetAvailable = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetAvailable',
        request_serializer=DeviceServicer__pb2.GetAvailable_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetAvailable_Responses.FromString,
        )
    self.GetName = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetName',
        request_serializer=DeviceServicer__pb2.GetName_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetName_Responses.FromString,
        )
    self.GetVersion = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetVersion',
        request_serializer=DeviceServicer__pb2.GetVersion_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetVersion_Responses.FromString,
        )
    self.Subscribe_CurrentStatus = channel.unary_stream(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/Subscribe_CurrentStatus',
        request_serializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Responses.FromString,
        )


class DeviceServicerServicer(object):
  """Feature: Device Servicer

  General device settings of the DASGIP reactor system can be retrieved and changed within this function.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019

  """

  def GetLog(self, request, context):
    """Get Log
    Get the current status of the device from the state machine of the SiLA server.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetLog_Info(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetLog_Result(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetRuntimeClock(self, request, context):
    """Get Runtime Clock
    Get the current local time of the system.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetStartedUTC(self, request, context):
    """Get Started UTC
    Get time stamp of system start in UTC
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetStarted(self, request, context):
    """Get Started
    Get time stamp of system start
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetStoppedUTC(self, request, context):
    """Get Stopped UTC
    Get time stamp of system stop in UTC
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetStopped(self, request, context):
    """Get Stopped
    Get time stamp of system stop
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetUserId(self, request, context):
    """Get UserId
    Get User Id of the System
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetBatchId(self, request, context):
    """Get BatchId
    Get Batch Id of the System
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetInoculatedUTC(self, request, context):
    """Get InoculatedUTC
    Get Inoculation time in UTC
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetInoculated(self, request, context):
    """Get Inoculated
    Get Inoculation time
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAvailable(self, request, context):
    """Get Available
    Get System Availability
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetName(self, request, context):
    """Get Name
    Get System Name
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetVersion(self, request, context):
    """Get Version
    Get System Version
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Subscribe_CurrentStatus(self, request, context):
    """Current Status
    Get the current status of the device from the internal state machine of the SiLA server.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_DeviceServicerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetLog': grpc.unary_unary_rpc_method_handler(
          servicer.GetLog,
          request_deserializer=DeviceServicer__pb2.GetLog_Parameters.FromString,
          response_serializer=SiLAFramework__pb2.CommandConfirmation.SerializeToString,
      ),
      'GetLog_Info': grpc.unary_stream_rpc_method_handler(
          servicer.GetLog_Info,
          request_deserializer=SiLAFramework__pb2.CommandExecutionUUID.FromString,
          response_serializer=SiLAFramework__pb2.ExecutionInfo.SerializeToString,
      ),
      'GetLog_Result': grpc.unary_unary_rpc_method_handler(
          servicer.GetLog_Result,
          request_deserializer=SiLAFramework__pb2.CommandExecutionUUID.FromString,
          response_serializer=DeviceServicer__pb2.GetLog_Responses.SerializeToString,
      ),
      'GetRuntimeClock': grpc.unary_unary_rpc_method_handler(
          servicer.GetRuntimeClock,
          request_deserializer=DeviceServicer__pb2.GetRuntimeClock_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetRuntimeClock_Responses.SerializeToString,
      ),
      'GetStartedUTC': grpc.unary_unary_rpc_method_handler(
          servicer.GetStartedUTC,
          request_deserializer=DeviceServicer__pb2.GetStartedUTC_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetStartedUTC_Responses.SerializeToString,
      ),
      'GetStarted': grpc.unary_unary_rpc_method_handler(
          servicer.GetStarted,
          request_deserializer=DeviceServicer__pb2.GetStarted_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetStarted_Responses.SerializeToString,
      ),
      'GetStoppedUTC': grpc.unary_unary_rpc_method_handler(
          servicer.GetStoppedUTC,
          request_deserializer=DeviceServicer__pb2.GetStoppedUTC_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetStoppedUTC_Responses.SerializeToString,
      ),
      'GetStopped': grpc.unary_unary_rpc_method_handler(
          servicer.GetStopped,
          request_deserializer=DeviceServicer__pb2.GetStopped_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetStopped_Responses.SerializeToString,
      ),
      'GetUserId': grpc.unary_unary_rpc_method_handler(
          servicer.GetUserId,
          request_deserializer=DeviceServicer__pb2.GetUserId_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetUserId_Responses.SerializeToString,
      ),
      'GetBatchId': grpc.unary_unary_rpc_method_handler(
          servicer.GetBatchId,
          request_deserializer=DeviceServicer__pb2.GetBatchId_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetBatchId_Responses.SerializeToString,
      ),
      'GetInoculatedUTC': grpc.unary_unary_rpc_method_handler(
          servicer.GetInoculatedUTC,
          request_deserializer=DeviceServicer__pb2.GetInoculatedUTC_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetInoculatedUTC_Responses.SerializeToString,
      ),
      'GetInoculated': grpc.unary_unary_rpc_method_handler(
          servicer.GetInoculated,
          request_deserializer=DeviceServicer__pb2.GetInoculated_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetInoculated_Responses.SerializeToString,
      ),
      'GetAvailable': grpc.unary_unary_rpc_method_handler(
          servicer.GetAvailable,
          request_deserializer=DeviceServicer__pb2.GetAvailable_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetAvailable_Responses.SerializeToString,
      ),
      'GetName': grpc.unary_unary_rpc_method_handler(
          servicer.GetName,
          request_deserializer=DeviceServicer__pb2.GetName_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetName_Responses.SerializeToString,
      ),
      'GetVersion': grpc.unary_unary_rpc_method_handler(
          servicer.GetVersion,
          request_deserializer=DeviceServicer__pb2.GetVersion_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetVersion_Responses.SerializeToString,
      ),
      'Subscribe_CurrentStatus': grpc.unary_stream_rpc_method_handler(
          servicer.Subscribe_CurrentStatus,
          request_deserializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Responses.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
